# Interface ModelOptionsConfig

interface ModelOptionsConfig {
allowInvalid?: boolean;
debounce?: number | {};
getterSetter?: boolean;
updateOn?: string;
updateOnDefault?: boolean;
}

- Defined in src/directive/model-options/model-options.js:6

##### Index

### Properties

allowInvalid?
debounce?
getterSetter?
updateOn?
updateOnDefault?

## Properties

### `Optional` allowInvalid

allowInvalid?: boolean

Indicates whether the model can be set with values that did not validate correctly. Defaults to false, which sets the model to undefined on validation failure.

- Defined in src/directive/model-options/model-options.js:9

### `Optional` debounce

debounce?: number | {}

An integer specifying the debounce time in milliseconds. A value of 0 triggers an immediate update. If an object is supplied, custom debounce values can be set for each event.

- Defined in src/directive/model-options/model-options.js:8

### `Optional` getterSetter

getterSetter?: boolean

Determines whether to treat functions bound to `ngModel` as getters/setters. Defaults to false.

- Defined in src/directive/model-options/model-options.js:10

### `Optional` updateOn

updateOn?: string

A string specifying which events the input should be bound to. Multiple events can be set using a space-delimited list. The special event 'default' matches the default events belonging to the control.

- Defined in src/directive/model-options/model-options.js:7

### `Optional` updateOnDefault

updateOnDefault?: boolean

- Defined in src/directive/model-options/model-options.js:11